<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.FileResourceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.system.pojo.entity.FileResourceEntity">
        <id column="file_id" property="fileId" />
        <result column="file_code" property="fileCode" />
        <result column="file_name" property="fileName" />
        <result column="file_alias" property="fileAlias" />
        <result column="file_suffix" property="fileSuffix" />
        <result column="file_path" property="filePath" />
        <result column="file_type_name" property="fileTypeName" />
        <result column="upload_mode" property="uploadMode" />
        <result column="fileSize" property="fileSize" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        file_id, file_code, file_name, file_type_name,upload_mode,file_alias, file_suffix, file_path, file_type, fileSize, <include
            refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
    </sql>

</mapper>
